#ifdef atarist

#include <unistd.h>
#include <string.h>
#include <memory.h>

/*
 * read, ignoring CR's
 *
 *  ++jrb
 */
int _yyread(int fd, char *buf, int size)
{
    int count = read(fd, buf, size);
    int done = 0, i;

    if(count <= 0)
	return count;

    do{
	for(i = done; i < (done+count); i++)
	{
	    if(buf[i] == '\r')
	    {
		if(count != 1)
		  bcopy(&buf[i+1], &buf[i], (size_t)(count -1 - (i - done)));
		count -= 1;
	    }
	}
	done += count;
	if(done == size)
	    return done;
	count = read(fd, &buf[done], (size - done));
    } while(count > 0);

    return done;
}

#endif /* atarist */
